#
# Spec file for PVFS version 1.0
#
Summary: A parallel file system for Beowulf workstations and Piles of PCs
Name: pvfs
Distribution: PVFS
Version: 1.0
Release: 3
Copyright: GPL
Group: Utilities/File
Source: ftp://ftp.parl.eng.clemson.edu/pub/pvfs/pvfs-1.0.tgz
Patch: pvfs-1.0.patch
URL: http://ece.clemson.edu/parl/pvfs/index.html
Vendor: Parallel Architecture Research Lab, Clemson University
Packager: Rob Ross <rbross@parl.eng.clemson.edu>
Prefix: /usr
BuildRoot: /projects/pvfs/build/root/

%description
A parallel file system for Beowulf workstations and Piles of PCs.  This
RPM includes the I/O and manager daemons, the application library for
accessing the file system, and some utilities for administration and
movement of files onto the file system.

%prep
%setup
%patch -p1

%build
make

%install
cd ${RPM_BUILD_DIR}/pvfs-1.0
make BINDIR=${RPM_BUILD_ROOT}/usr/pvfs/bin \
	EXAMPLEDIR=${RPM_BUILD_ROOT}/usr/pvfs/bin \
	INCDIR=${RPM_BUILD_ROOT}/usr/include/pvfs \
	LIBDIR=${RPM_BUILD_ROOT}/usr/lib \
	DAEMONDIR=${RPM_BUILD_ROOT}/usr/pvfs/bin install
cd ${RPM_BUILD_DIR}/pvfs-1.0/docs
make MANDIR=${RPM_BUILD_ROOT}/usr/man/man3
cp ${RPM_BUILD_DIR}/pvfs-1.0/docs/user_guide.* ${RPM_BUILD_DIR}/pvfs-1.0/

%files
# examples
%attr(755, root, root) /usr/pvfs/bin/twrite
%attr(755, root, root) /usr/pvfs/bin/tread
%attr(755, root, root) /usr/pvfs/bin/tseq

#daemons
%attr(755, root, root) /usr/pvfs/bin/iod
%attr(755, root, root) /usr/pvfs/bin/mgr

#utilities
%attr(755, root, root) /usr/pvfs/bin/pvstat
%attr(755, root, root) /usr/pvfs/bin/mkdot
%attr(755, root, root) /usr/pvfs/bin/u2p
%attr(755, root, root) /usr/pvfs/bin/mkiodtab

#libraries
%attr(644, root, root) /usr/lib/libpvfs.a
%attr(644, root, root) /usr/lib/libpvfs.so.1.0

#include files
%attr(644, root, root) /usr/include/pvfs/debug.h
%attr(644, root, root) /usr/include/pvfs/desc.h
%attr(644, root, root) /usr/include/pvfs/meta.h
%attr(644, root, root) /usr/include/pvfs/minmax.h
%attr(644, root, root) /usr/include/pvfs/pvfs.h
%attr(644, root, root) /usr/include/pvfs/req.h

# man pages - RPM knows these are docs automatically
%attr(644, root, root) /usr/man/man3/pvfs_chmod.3
%attr(644, root, root) /usr/man/man3/pvfs_chown.3
%attr(644, root, root) /usr/man/man3/pvfs_close.3
%attr(644, root, root) /usr/man/man3/pvfs_dup.3
%attr(644, root, root) /usr/man/man3/pvfs_fcntl.3
%attr(644, root, root) /usr/man/man3/pvfs_ioctl.3
%attr(644, root, root) /usr/man/man3/pvfs_lseek.3
%attr(644, root, root) /usr/man/man3/pvfs_mkdir.3
%attr(644, root, root) /usr/man/man3/pvfs_open.3
%attr(644, root, root) /usr/man/man3/pvfs_read.3
%attr(644, root, root) /usr/man/man3/pvfs_rename.3
%attr(644, root, root) /usr/man/man3/pvfs_rmdir.3
%attr(644, root, root) /usr/man/man3/pvfs_stat.3
%attr(644, root, root) /usr/man/man3/pvfs_unlink.3

# one day these will be links
%attr(644, root, root) /usr/man/man3/pvfs_fchmod.3
%attr(644, root, root) /usr/man/man3/pvfs_fchown.3
%attr(644, root, root) /usr/man/man3/pvfs_dup2.3
%attr(644, root, root) /usr/man/man3/pvfs_fstat.3
%attr(644, root, root) /usr/man/man3/pvfs_lstat.3

# other docs
%attr(644, root, root) %doc user_guide.txt
%attr(644, root, root) %doc user_guide.html

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_DIR/pvfs-1.0
#rm -rf $RPM_BUILD_ROOT/*
